libtasn1-6 (4.16.0-2ubuntu0.1+esm1) focal-security; urgency=medium

  * SECURITY UPDATE: Off-by-one error in asn1_encode_simple_der
    - debian/patches/CVE-2021-46848.patch: Fix equality bound in lib/int.h
    - CVE-2021-46848
  * SECURITY UPDATE: Buffer overflow in asn1_expand_octet_string
    - debian/patches/CVE-2025-13151.patch: Correct buffer size in
      lib/decoding.c
    - CVE-2025-13151

 -- Kyle Kernick <kyle.kernick@canonical.com>  Thu, 05 Feb 2026 11:48:06 -0700

libtasn1-6 (4.16.0-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service through inefficient algorithm.
    - CVE-2024-12133-x.patch: Add caching and optimize algorithms in
      lib/decoding.c, lib/element.c, lib/element.h, lib/int.h,
      lib/parser_aux.c, and lib/structure.c.
    - CVE-2024-12133

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Wed, 12 Feb 2025 09:20:57 -0330

libtasn1-6 (4.16.0-2) unstable; urgency=low

  * Upload to unstable.
  * This version breaks gnutls' testsuite for versions < 3.6.12.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2020 17:38:59 +0100

libtasn1-6 (4.16.0-1) experimental; urgency=low

  * New upstream version.
    + Update libtasn1-6.symbols.
  * [lintian] Drop unused debian/source/include-binaries.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Feb 2020 10:55:07 +0100

libtasn1-6 (4.15.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Dec 2019 14:11:29 +0100

libtasn1-6 (4.15.0-1) experimental; urgency=low

  * New upstream version.
    + Drop patches (20_nooverrideldflags.diff and
      30_doc-reference-don-t-add-empty-object-hierarchy-chapt.patch).
  * Use dh 12 compat level.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Nov 2019 06:33:46 +0100

libtasn1-6 (4.14-3) unstable; urgency=medium

  * 30_doc-reference-don-t-add-empty-object-hierarchy-chapt.patch from
    upstream GIT master: Fix FTBFS against gtk-doc 1.32. (Thanks, Andreas
    Henriksson for report and pointer to patch!) Closes: #939959

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Sep 2019 12:55:23 +0200

libtasn1-6 (4.14-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Jul 2019 17:25:00 +0200

libtasn1-6 (4.14-1) experimental; urgency=low

  * New upstream version.
    + Drop 10_modernize_gtkdoc.diff.
    + README replaced by README.md.
    + 20_nooverrideldflags.diff Respect LDFLAGS in src subdirectory again.
    + Fixes DoS in asn1Parser binary (not the library).
      CVE-2018-1000654 Closes: #906768
  * Be paranoid and bump symbol dependency info.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Jul 2019 19:45:42 +0200

libtasn1-6 (4.13-4) unstable; urgency=medium

  * [lintian] Drop trailing empty line in changelog.
  * Refresh Nikos' key from https://www.gnutls.org/pgpkey-nmav.txt. Move from
    binary to minimal ascii armored version. (Thanks, lintian)
  * [lintian] Upgrade to dh compat 11. (Drop explicit --parallel.)
  * [lintian] Point Vcs-* to salsa.
  * [lintian] Use https URL for upstream references.
  * [lintian] Sync priorities with override file (main library optional
    instead of standard).
  * [lintian] Migration to new dbgsym package is finished, drop dh_strip
    override.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Jul 2019 11:27:43 +0200

libtasn1-6 (4.13-3) unstable; urgency=high

  * Disable GTKDOC_CHECK since dh-autoreconf >= 18 runs gtkdocize
    unconditionally. Closes: #898848

 -- Andreas Metzler <ametzler@debian.org>  Wed, 16 May 2018 20:05:15 +0200

libtasn1-6 (4.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jan 2018 14:01:04 +0100

libtasn1-6 (4.13-1) experimental; urgency=low

  * New upstream version.
    Drop 0001-_asn1_check_identifier-safer-access-to-values-read.patch.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Jan 2018 18:36:39 +0100

libtasn1-6 (4.12-3) unstable; urgency=medium

  * Always set --disable-gtk-doc-pdf", we never shipped/built these since
    dblatex rdeps are gigantic.
  * 10_modernize_gtkdoc.diff: Update gtk-doc.make, m4/gtk-doc.m4 and
    doc/reference/Makefile.am from gtk-doc git head (that is 1.26 +
    c08cc78562c59082fc83b55b58747177510b7a70).
    Run gtkdoc-check, but only show result without throwing a testsuite error.
    Also use gtkdocentities in main SGML file. Closes: #876589
  * Drop libtasn1-3-bin transition package. Closes: #878658
  * [lintian] Drop trailing whitespace in changelog.
  * [lintian] Sync priorities with override file.
  * [lintian] Point watchfile to https URL.
  * Upgrade to dh compat 10:
    - Bump d-d on debhelper, drop b-d on dh-autoreconf and dpkg-dev (>=
      1.17.14) since they are pulled in by recent debhelper.
    - Stop passing --parallel --with autoreconf to dh, both are enabled by
      default.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Nov 2017 17:50:16 +0100

libtasn1-6 (4.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * _asn1_check_identifier: safer access to values read (CVE-2017-10790)
    (Closes: #867398)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Jul 2017 07:04:58 +0200

libtasn1-6 (4.12-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Jun 2017 11:16:39 +0200

libtasn1-6 (4.12-1) experimental; urgency=medium

  * New upstream version.
    + Drop 0001-asn1_find_node-added-safety-check-on-asn1_find_node.patch.
    + Update symbol file. (New error code ASN1_TIME_ENCODING_ERROR, new flag
      ASN1_DECODE_FLAG_STRICT_DER)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 May 2017 20:07:32 +0200

libtasn1-6 (4.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * asn1_find_node: added safety check on asn1_find_node() (CVE-2017-6891)
    (Closes: #863186)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 25 May 2017 10:25:56 +0200

libtasn1-6 (4.10-1) unstable; urgency=medium

  * New upstream version.
    + Drop all patches.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 17 Jan 2017 19:13:39 +0100

libtasn1-6 (4.9-5) unstable; urgency=medium

  * Pull two bugfixes from upstream GIT master:
    21_parser_aux-corrected-potential-null-pointer-derefere.patch: Correct
    potential null pointer dereferences.
    22__asn1_ltostr-ensure-that-input-value-will-always-be-.patch: Fix issue
    found in PKCS#7 decoding.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jan 2017 12:52:49 +0100

libtasn1-6 (4.9-4) unstable; urgency=medium

  * On cross-cross-builds use touch-magic to prevent invocation of help2man.
    Also mark help2man b-d with <!cross>. The latter change requires dpkg-dev
    (>= 1.17.14). Closes: #833707

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Aug 2016 13:45:25 +0200

libtasn1-6 (4.9-3) unstable; urgency=medium

  * Upload to unstable.
  * Install NEWS as upstream changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Aug 2016 13:55:39 +0200

libtasn1-6 (4.9-2) experimental; urgency=medium

  * Enable --with autoreconf.
  * Add b-d on help2man, necessary when the buildsystem is patched.
  * 20_configure-don-t-add-Werror-to-build-flags.patch from upstream GIT:
    Don't build with -Werror.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 02 Aug 2016 19:43:28 +0200

libtasn1-6 (4.9-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 26 Jul 2016 19:33:53 +0200

libtasn1-6 (4.8-1) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * New upstream version, which fixes CVE-2016-4008 (infinite loops parsing
    malicious DER certificates).
  * Build with hardening=+bindnow.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Apr 2016 14:11:38 +0200

libtasn1-6 (4.7-3) unstable; urgency=medium

  * Migrate from libtasn1-6-dbg to ddebs. dh_strip's --ddeb-migration
    option was added to debhelper/unstable with version 9.20150628, bump
    build-dependency accordingly.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 18:15:13 +0100

libtasn1-6 (4.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Sep 2015 16:13:19 +0200

libtasn1-6 (4.7-1) experimental; urgency=medium

  * New upstream version.
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Sep 2015 13:04:32 +0200

libtasn1-6 (4.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 May 2015 14:27:06 +0200

libtasn1-6 (4.5-1) experimental; urgency=medium

  * New upstream version.
    + Drop 20_asn1_extract_der_octet-prevent-past-of-boundary-acc.patch.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Apr 2015 19:06:44 +0200

libtasn1-6 (4.4-3) unstable; urgency=medium

  * Upload to unstable.
  * Pull 20_asn1_extract_der_octet-prevent-past-of-boundary-acc.patch from
    upstream GIT to correct an invalid memory access in octet string
    decoding.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 27 Apr 2015 07:19:34 +0200

libtasn1-6 (4.4-2) experimental; urgency=medium

  * Really bump shlibs. Closes: #782286

 -- Andreas Metzler <ametzler@debian.org>  Fri, 10 Apr 2015 19:08:24 +0200

libtasn1-6 (4.4-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Mar 2015 13:12:15 +0200

libtasn1-6 (4.3-1) experimental; urgency=medium

  * Mark libtasn1-6-dev Multi-Arch: same.
  * New upstream version.
    + Bump shlibs, asn1_decode_simple_ber() added.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 10 Mar 2015 19:09:15 +0100

libtasn1-6 (4.2-3) unstable; urgency=medium

  * Pull 20_CVE-2015-2806.diff from upstream 4.4 release to correct a
    two-byte stack overflow in asn1_der_decoding. CVE-2015-2806.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Apr 2015 08:04:32 +0200

libtasn1-6 (4.2-2) unstable; urgency=medium

  * libtasn1-doc also needs to have a versioned Breaks/Replaces against
    libtasn1-3-dev, since that package also used to include the docs.
    Closes: #764330
  * Build with --disable-silent-rules.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 07 Oct 2014 19:12:52 +0200

libtasn1-6 (4.2-1) unstable; urgency=medium

  * Stop building libtasn1-3-dev transition package.
  * New upstream version.
    + Drop 10_octet_string.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Sep 2014 19:02:48 +0200

libtasn1-6 (4.1-2) unstable; urgency=medium

  * 10_octet_string.diff from upstream GIT. Fix regression which caused the
    failure of octet string extraction, which broke OCSP response parsing in
    gnutls. Closes: #759161>

 -- Andreas Metzler <ametzler@debian.org>  Thu, 04 Sep 2014 19:12:58 +0200

libtasn1-6 (4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump shlibs, ASN1_DECODE_FLAG_STRICT_DER added upstream.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Aug 2014 13:09:00 +0200

libtasn1-6 (4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 04 Jul 2014 19:06:39 +0200

libtasn1-6 (4.0-1) experimental; urgency=medium

  * New upstream version.
  * New symbols added, bump shlibs.
  * Upload to experimental.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Jun 2014 12:11:51 +0200

libtasn1-6 (3.7-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 27 Jun 2014 19:06:54 +0200

libtasn1-6 (3.6-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Jun 2014 12:53:00 +0200

libtasn1-6 (3.6-2) experimental; urgency=medium

  * Move documentation to a separate package (libtasn1-doc) as a first step in
    breaking bootstrap cycle. (Thanks, Peter Pentchev)
  * Convert to dh.
  * Move gtk-doc-tools, texinfo, texlive-latex-base from Build-Depends to
    Build-Depends-Indep. Closes: #749854

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Jun 2014 12:11:42 +0200

libtasn1-6 (3.6-1) unstable; urgency=medium

  * New upstream version.
  * Drop 20_off-by-one-error.patch.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 May 2014 19:28:01 +0200

libtasn1-6 (3.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 08 May 2014 19:00:41 +0200

libtasn1-6 (3.5-1) experimental; urgency=medium

  * New upstream version.
  * 20_off-by-one-error.patch from upstream GIT, correcting an error in
    asn1_get_tag_der().

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 May 2014 18:27:10 +0200

libtasn1-6 (3.4-3) unstable; urgency=medium

  * Point vcs* to git.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature.
  * Add transitional packages for libtasn1-3-dev and -bin. (#730856)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Feb 2014 11:39:30 +0100

libtasn1-6 (3.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 29 Nov 2013 18:46:13 +0100

libtasn1-6 (3.4-1) experimental; urgency=low

  * New upstream version, bump shlibs. (asn1_delete_structure2 was added.)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 26 Nov 2013 19:34:41 +0100

libtasn1-6 (3.3-2) unstable; urgency=low

  * Use debhelper v9 mode. This allows us to mark libtasn1-6-dbg Multi-Arch:
    same.
  * Point Vcs-* to anonscm.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2013 15:14:02 +0200

libtasn1-6 (3.3-1) unstable; urgency=low

  * libtasn1-6-dbg needs to Break/Relaces libtasn1-3-dbg. Closes: #699795
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Apr 2013 19:48:23 +0200

libtasn1-6 (3.2-1) unstable; urgency=low

  * New upstream version, almost identical to 3.1 with
    20_overflow-in-parser.diff.
    + Drop 20_overflow-in-parser.diff.
  * Upload to unstable. This is a leaf package, uploaded the first time to
    unstable yet and will not hurt the release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Feb 2013 09:07:14 +0100

libtasn1-6 (3.1-1) experimental; urgency=low

  * New upstream version.
  * New symbols added, bump shlibs.
  * 20_overflow-in-parser.diff from upstream git fixes a possible buffer
    overflow. (Caught by testsuite on hardened build.)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 Nov 2012 19:04:16 +0100

libtasn1-6 (3.0-1) experimental; urgency=low

  * New upstream version, soname bumped. Change source and binary package
    names (libtasn1-3* to libtasn1-6* except for libtasn1-3-bin which is
    renamed to libtasn1-bin).

 -- Andreas Metzler <ametzler@debian.org>  Thu, 01 Nov 2012 15:29:34 +0100

libtasn1-3 (2.14-2) experimental; urgency=low

  * Fix typo in shlibs version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 27 Sep 2012 20:12:43 +0200

libtasn1-3 (2.14-1) experimental; urgency=low

  [ Simon Josefsson ]
  * Build gtk-doc reference manual.

  [ Andreas Metzler ]
  * Fix building twice in row. make distclean removes html/pdf docs, which
    were missing on install. gtk-doc modifies
    doc/reference/tmpl/libtasn1.sgml, remove it on clean.
  * Ship gtk-doc manual, symlink html version to usr/share/doc.
  * With these three changes together gtk-doc-tools and texlive-latex-base are
    uctually sed for build (or re-build in same sourcedirectory).
    Closes: #682464
  * New upstream version. Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 26 Sep 2012 18:49:47 +0200

libtasn1-3 (2.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Jun 2012 17:45:46 +0200

libtasn1-3 (2.13-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 31 May 2012 19:48:46 +0200

libtasn1-3 (2.12-1) unstable; urgency=medium

  * New upstream version.
    + Fixes CVE-2012-1569.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 19 Mar 2012 19:25:16 +0100

libtasn1-3 (2.11-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Nov 2011 19:04:40 +0100

libtasn1-3 (2.10-1) unstable; urgency=low

  [Simon Josefsson]
  * Fix Debian BTS URL in --with-packager-bug-reports option.

  [Andreas Metzler]
  * New upstream Version. (Includes workaround for #639818)
  * Point watchfile to ftp.gnu.org instead of ftp.gnutls.org.
  * [debian/control] Drop priority and section from libtasn1-3 binary package
    stanza.
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 31 Oct 2011 08:54:49 +0100

libtasn1-3 (2.9-4) unstable; urgency=low

  * Merge from Ubuntu (build for multiarch):
    + configure with --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH), update
      *.install accordingly.
    + Bump cdbs Build-Depends to 0.4.93 (required for expanding
      $(DEB_HOST_MULTIARCH)).
    + Bump debhelper b-d to 8.1.3 (for ${misc:Pre-Depends}).
    + runtime library is Multi-Arch: same and has Pre-Depends:
      ${misc:Pre-Depends}, -bin (helper binaries)
      is Multi-Arch: foreign. -dev is unchanged.
   * Diverge from the Ubuntu patch by not settting Multi-Arch: same on
     -dbg package. It contains debugging symbols for both library and helper
     binaries ( e.g. /usr/lib/debug/usr/bin/asn1Decoding) and is therefore not
     co-installable with itself.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2011 09:13:50 +0200

libtasn1-3 (2.9-3) unstable; urgency=low

  * Stop shipping libtool la file in -dev package, now that it is not refered
    in other packages' dependency_libs anymore.
  * Stop setting CFLAGS += -Wall, it is set by default again.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Apr 2011 08:29:12 +0200

libtasn1-3 (2.9-2) unstable; urgency=low

  * Upload to unstable.
  * Downgrade libtasn1-3 priority to standard.
  * Drop superfluous code from debian/rules.
  * set CFLAGS += -Wall, the latest combination of cdbs + dpkg-dev does not
    seem to set it by default.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Feb 2011 16:38:16 +0100

libtasn1-3 (2.9-1) experimental; urgency=low

  * New upstream release.
  * Use debhelper compatibility level 7.
  * Fix libtasn1-3-dbg short description.
  * Drop -D_REENTRANT from CFLAGS.
  * Drop DEB_DH_STRIP_ARGS = --dbg-package libtasn1-3-dbg from debian/rules,
    it is handled automatically.
  * Drop old Conflicts/Replaces that were relevant when upgrading from sarge
    and earlier, i.e. from versions older than old-stable.
  * Standards-Version: 3.9.1

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jan 2011 10:31:39 +0100

libtasn1-3 (2.7-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 May 2010 09:10:34 +0200

libtasn1-3 (2.6-1) unstable; urgency=low

  * New upstream version.
  * Drop libtasn1-config.1, we have not shipped the documented script since
    2.0.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Apr 2010 09:12:34 +0200

libtasn1-3 (2.5-1) unstable; urgency=low

  * New upstream version.
  * Do not run test-suite when cross compiling. (Thanks, Colin Watson)
    Closes: #554343

 -- Andreas Metzler <ametzler@debian.org>  Mon, 15 Mar 2010 19:16:34 +0100

libtasn1-3 (2.4-1) unstable; urgency=low

  * New upstream version.
  * Update debian/copyright.
  * Drop cdbs simple-patchsys in favour of dpkg-source v3. Remove unneeded
    debian/README.source.
  * Use dh_installinfo instead of dh_install for info files to get the
    recommended dependency on dpkg (>= 1.15.4) | install-info.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Jan 2010 15:20:23 +0100

libtasn1-3 (2.3-1) unstable; urgency=low

  * Move libtasn1-3-bin to section devel. #532649
  * New upstream version.
  * Set newly available --with-packager options.
  * Update homepage location, this is now an official GNU project.
  * Standards version 3.8.2:
    + In debian/copyright point to /usr/share/common-licenses/GFDL-1.3
      instead of shipping our own copy.
  * Fix dh_install pattern for installation of info files to not match a
    dir file.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 31 Jul 2009 19:27:41 +0200

libtasn1-3 (2.2-1) unstable; urgency=low

  * Sync debian/control with override file, libtasn1-3-dbg is section debug.
  * New upstream version.
  * Standards-Version 3.8.1, no changes required.
  * Add Homepage field to debian/control.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 May 2009 09:06:49 +0200

libtasn1-3 (2.0~0.20090323-1) experimental; urgency=low

  * New upstream version, 2.0 prerelease.
    + Does not include libtasn1-config anymore.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Mar 2009 17:44:46 +0200

libtasn1-3 (1.8-1) unstable; urgency=low

  * New upstream version.
  * [lintian] Add ${misc:Depends}.
  * Standards-Version 3.8.0.
    + Rename README.source_and_patches to README.source

 -- Andreas Metzler <ametzler@debian.org>  Tue, 17 Feb 2009 13:17:19 +0100

libtasn1-3 (1.7-1) experimental; urgency=low

  * New upstream release
  * docs are now FDL 1.3, update debian/copyright.
  * 1.6 introduces asn1_strerror, et.al. as replacement for the libtasn1_*
    stuff. Bump shlibs.
  * libtasn1.m4 is gone (use pkg-config, please).

 -- Andreas Metzler <ametzler@debian.org>  Tue, 18 Nov 2008 20:02:52 +0100

libtasn1-3 (1.5-3) experimental; urgency=low

  * Cherry-pick the patch for handling BER encoded certificates without the ABI
    breakage introduced by tree optimization from upstream git.
  * Also add resulting patchlet for tests/Makefile.in and TestIndef.p12
    (Binary file), fixing FTBFS. Closes: #504783

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Nov 2008 15:27:50 +0100

libtasn1-3 (1.5-2) experimental; urgency=low

  * Add Simon Josefsson to uploaders.
  * Support decoding of PKCS#12 certificates. (Patch from upstream).
    Bump shlibs.
    Closes: #503833

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Nov 2008 19:18:58 +0100

libtasn1-3 (1.5-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop tetex-bin Build-Depends alternative.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Sep 2008 08:43:45 +0200

libtasn1-3 (1.4-1) unstable; urgency=low

  * New upstream version.
  * remove cruft from debian/rules
  * Use Programming/C instead of gone section Apps/Net for doc-base.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Apr 2008 09:47:38 +0200

libtasn1-3 (1.3-1) unstable; urgency=low

  * New upstream version.
  * Add Vcs-Svn: and Vcs-Browser control fields.
  * [lintian-happiness] Stop ignoring errors on $(MAKE) distclean.
  * Set CFLAGS += -D_REENTRANT, since policy requires it and upstream stopped
    setting it by default.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Feb 2008 09:44:03 +0100

libtasn1-3 (1.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3. ${binary:Version} instead of ${Source-Version}.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 26 Dec 2007 10:27:50 +0100

libtasn1-3 (1.1-1) unstable; urgency=low

  * New upstream version 1.1.
    - Uses GPLv3+ for self tests, tools /with their manpages) and build
      infrastructure.
    - The library itself continues to stay LGPLv2.1+
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun,  2 Dec 2007 09:28:57 +0100

libtasn1-3 (0.3.10-1) unstable; urgency=low

  * add texlive-latex-base | tetex-bin to build-depends to allow to run
    dpkg-build-package twice in the same extracted sourcecode. (According to
    my tests this is the minimal package for working pdf-generation from
    makeinfo.) Closes: #424540
  * New upstream version 0.3.10. (Just updated gnulib files and minimal
    changes to configure.in.)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Aug 2007 09:45:09 +0200

libtasn1-3 (0.3.9-1) unstable; urgency=low

  * New upstream version.
  * Switch to debhelper v5 mode. Drop usr/share/doc/* from
    debian/libtasn1-3-dev.install. Bump build-depends.
  * Downgrade libtasn1-3-bin priority to extra and drop Recomends on
    libtasn1-3-bin in libtasn1-3. (Closes: #416556)

 -- Andreas Metzler <ametzler@debian.org>  Sun,  8 Apr 2007 12:06:30 +0200

libtasn1-3 (0.3.8-1) experimental; urgency=low

  [ James Westby ]
  * Quote $(CURDIR) in debian/rules to avoid FTBFS if it has spaces.

  [ Andreas Metzler ]
  * New upstream version.
    - Fix reading of binary files in asn1Decoding, for Windows.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  3 Feb 2007 10:39:02 +0100

libtasn1-3 (0.3.7-1) experimental; urgency=low

  [ Andreas Metzler ]
  * New upstream version. Uploaded to experimental, because we are frozen.
  * Drop patches/20_asnparser.diff (condionally #include <unistd.h> only
    #ifdef HAVE_UNISTD_H).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Oct 2006 15:13:50 +0200

libtasn1-3 (0.3.6-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Add a watchfile.
  * Add a copy of the FDL 1.2 to debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Oct 2006 14:37:30 +0200

libtasn1-3 (0.3.6-1) unstable; urgency=low

  * New upstream version.
  * Drop superfluous patches:
    - 30_man_hyphen_get_length.diff
    - 30_man_hyphen_read_value.diff
    - 30_man_hyphen_write_value.diff

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Sep 2006 16:15:10 +0200

libtasn1-3 (0.3.5-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Add libtasn1-2 (<< 0.2.17-1) to libtasn-3-bin's Conflicts/Replaces.
    (closes: #379424)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jul 2006 16:31:38 +0200

libtasn1-3 (0.3.5-1) unstable; urgency=low

  [ Andreas Metzler ]
  * Ship pkg-config file libtasn1.pc.

  [ James Westby ]
  * New upstream revision.
    - Fixes creation of zero length buffers on 64 bit platforms.
      (closes: #375630)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 27 Jun 2006 19:01:34 +0200

libtasn1-3 (0.3.4-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Set maintainer to alioth mailinglist.
  * Drop code for updating config.guess/config.sub from debian/rules, as cdbs
    handles this. Build-Depend on autotools-dev.
  * Use cdbs' simple-patchsys.mk.
    - add debian/README.source_and_patches
    - add patches/20_asnparser.diff
  * Do not gzip pdf documentation.
  * Register library manual with doc-base.
  * Standards version 3.7.2, no changes required.

  [ James Westby ]
  * Added debian/patches/30_man_hyphen* to fix a lintain warning about use of
    "-" as a minus sign.
  * Added a man-page for libtasn1-config in libtasn1-3-dev.

 -- Andreas Metzler <ametzler@debian.org>  Wed,  7 Jun 2006 20:14:52 +0200

libtasn1-3 (0.3.4-1) experimental; urgency=low

  * New maintainer team. Thanks, Matthias for all the work you did.
  * New upstream version, based on Bastian's NMU. (closes: #356694)
    Replacing libtasn1-2 with this version is going to fix grave bug #352182.
  * clean packaging against upstream tarball.
    - Set DEB_CONFIGURE_EXTRA_FLAGS = --enable-ld-version-script
      to force versioning of symbols, instead of patching ./configure.in.
    - Disable invocation of gnulib-tool in debian/rules.
    - Upstream tarball does not contain ansn1.tex and fdl.tex. Ignore the
      former and use fdl.texi for the latter.
    - stop removing doc/libtasn1.ps on clean and drop build-dependency on
      tetex-bin, tetex-extra. - The file is part of the upstream tarball, no
      need to regenerate it unless we patch the sources.
    - ship libtasn1.pdf instead of libtasn1.pdf.
    - drop build-depency on binutils (>= 2.14.90.0.7), even sarge has 2.15-6.
    - use dh_install instead of dh_move and manual instal -m... commands,
       simplifiying debian/rules.
    - remove debian/*.dirs.
    - drop Debian-specific stub manpage for asn1Decoding.1 asn1Parser.1
      asn1Coding.1 and use the upstream one instead.
  * libtasn1-3-bin conflicts/replaces libtasn1-2-bin (closes: #362245)
  * Set DEB_MAKE_CHECK_TARGET = check to run included testsuite.
  * Copy a complete copyright statement into debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  1 Jun 2006 17:07:51 +0000

libtasn1-2 (0.3.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix name of binary packages. (closes: #361890)
    - Remove spurious conflicts.

 -- Bastian Blank <waldi@debian.org>  Tue, 11 Apr 2006 07:41:21 +0000

libtasn1-2 (0.3.1-1) unstable; urgency=high

  * New Upstream release.
    - Fixes a buffer overrun: Closes:#352182
    - Yes, I know, this release is *late*. Sorry about that.

 -- Matthias Urlichs <smurf@debian.org>  Sat, 18 Mar 2006 03:21:11 +0100

libtasn1-2 (0.2.17-1) unstable; urgency=low

  * New Upstream version.
  * Build-Depend on texinfo. Closes:#332563
  * Split off binaries into a tasn1-2-bin packages. Closes:#330739
    - Also added stub manpages for them.
  * Fix autotools call in "make clean" rule.
  * Use current gnulib.

 -- Matthias Urlichs <smurf@debian.org>  Tue, 25 Oct 2005 11:57:41 +0200

libtasn1-2 (0.2.13-2) unstable; urgency=low

  * Changed the Copyright statement.
    Closes: #290209: Improper copyright file
  * Added missing Priority: statements to debian/control.
    Closes: #294706: changes file is missing priority
  * Added missing AC_PROG_LIBTOOL to configure.in.
  * Updated Standards-Version: to 3.6.2; no changes.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 14 Jul 2005 05:43:49 +0200

libtasn1-2 (0.2.13-1) unstable; urgency=low

  * Merged Upstream release.
  * Upstream removed symbol versioning and replaced it with a simple
    export-visibility rule. Restored -- we can't go back.
    Besides, versioning is a Good Thing.
  * The previous upload Closes: #301575: New upstream version available.
  * Switched to autoconf 1.9.

 -- Matthias Urlichs <smurf@debian.org>  Mon,  4 Jul 2005 16:07:13 +0200

libtasn1-2 (0.2.10-5) unstable; urgency=low

  * Closes: #264032: debian/rules clean doesn't undo all build effects
  * Re-enable libtasn1-2-dbg.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 15 Sep 2004 22:24:20 +0200

libtasn1-2 (0.2.10-4) unstable; urgency=medium

  * Updated shlib deps (new function)

 -- Matthias Urlichs <smurf@debian.org>  Fri, 13 Aug 2004 11:45:01 +0200

libtasn1-2 (0.2.10-3) unstable; urgency=low

  * Depend on binutils (>= 2.14.90.0.7).
    - Closes: #262267: libtasn1-2: Change Build-Depends
	  Thanks to Dirk Prösdorf <dirk@proesdorf.de>.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 30 Jul 2004 14:29:58 +0200

libtasn1-2 (0.2.10-2) unstable; urgency=low

  * Priority: Important -- only for the library package please.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 29 Jul 2004 14:10:38 +0200

libtasn1-2 (0.2.10-1) unstable; urgency=high

  * Merged to current Upstream version
  * Didn't install libtasn1-config.
  * Didn't install libtasn1.m4.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 29 Jul 2004 12:58:01 +0200

libtasn1-2 (0.2.7.0-2) unstable; urgency=medium

  * The binary package ended up empty due to a local bug. Sorry.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 14 Jul 2004 13:45:04 +0200

libtasn1-2 (0.2.7.0-1) unstable; urgency=low

  * Use the original .orig.tgz file; the old one is broken.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 12 Jul 2004 19:25:22 +0200

libtasn1-2 (0.2.7-3) unstable; urgency=low

  * New maintainer.
  * Use the included test scripts.
  * Don't use the included generated files: Upstream CVS doesn't have them.
    - Depend on tetex-bin and bison.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 11 Jul 2004 13:40:13 +0200

libtasn1-2 (0.2.7-2) unstable; urgency=HIGH

  * patches/001_decoding_bof_0.2.7.diff: patch to fix DER parsing routines
    vulnerability registered as CAN-2004-0401.

 -- Ivo Timmermans <ivo@debian.org>  Mon, 10 May 2004 11:39:23 +0200

libtasn1-2 (0.2.7-1) unstable; urgency=low

  * Thanks to Andreas Metzler for preparing this package.
  * New upstream release, which introduces versioned symbols.
  * debian/control: Added conflict with libtasn1-1.  (Closes: #228204)

 -- Ivo Timmermans <ivo@debian.org>  Tue, 23 Mar 2004 19:39:04 +0100

libtasn1-2 (0.2.6-1) unstable; urgency=low

  * New upstream release; package renamed to libtasn1-2.
  * debian/rules: Moved to cdbs.
  * debian/control:
      * updated Standards-Version;
      * tightened debhelper build dependency;
      * added auto* to the build dependencies.

 -- Ivo Timmermans <ivo@debian.org>  Sat,  6 Dec 2003 21:02:25 +0100

libtasn1-1 (0.2.4-3) unstable; urgency=low

  * debian/rules: Use libtool rather than install to install the stuff in
    src.

 -- Ivo Timmermans <ivo@debian.org>  Thu,  8 May 2003 22:35:35 +0200

libtasn1-1 (0.2.4-2) unstable; urgency=low

  * debian/rules, debian/libtasn1-1.{dirs,files}: Install asn1Coding,
    asn1Decoding, asn1Parser from src in /usr/bin.  (Closes: #192465)
  * debian/control: Update Standards-Version.

 -- Ivo Timmermans <ivo@debian.org>  Thu,  8 May 2003 21:37:19 +0200

libtasn1-1 (0.2.4-1) unstable; urgency=low

  * New upstream release.  (Closes: #187398)

 -- Ivo Timmermans <ivo@debian.org>  Thu,  3 Apr 2003 11:19:03 +0200

libtasn1-1 (0.2.1-1) unstable; urgency=low

  * New upstream release.
      - Fixed tests.  (Closes: #164612)
  * Made it a separate source package.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 14 Feb 2003 21:42:10 +0100

libtasn1 (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ivo Timmermans <ivo@debian.org>  Fri, 11 Oct 2002 17:37:51 +0200

libtasn1 (0.1.1-3) unstable; urgency=low

  * debian/control: Conflict with the versions of libgnutls that included
    a libtasn1.{la,a,so}. (Closes: #156765)
  * debian/libtasn1-dev.files: Include libtasn1.la.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 20 Aug 2002 18:17:28 +0200

libtasn1 (0.1.1-2) unstable; urgency=low

  * debian/libtasn1-0.shlibs: Changed so version from 0.1.1 to 0;
    remove upper version limit; set lower limit to 0.1.1-2 (current).

 -- Ivo Timmermans <ivo@debian.org>  Wed, 14 Aug 2002 16:49:15 +0200

libtasn1 (0.1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #150106)

 -- Ivo Timmermans <ivo@debian.org>  Sat, 10 Aug 2002 22:02:49 +0200
